/* 
Theme Name:		 Desine
Theme URI:		 http://childtheme-generator.com/
Description:	 Desine is a child theme of Zakra, created by ChildTheme-Generator.com
Author:			 Desine
Author URI:		 http://childtheme-generator.com/
Template:		 zakra
Version:		 1.0.0
Text Domain:	 desine
*/


/*
    Add your custom styles here
*/


body{
    min-width:350px;
    overflow-x:hidden;
}

img{
    max-width:100%;
    height:auto;
}

p {
    margin-bottom: 0.8em;
}

p:first-child:last-child{
    margin:0;
}

p.has-medium-font-size {
    font-size:22px !important;
}

#primary mark{
    background:none !important;
}

.mt-0{
    margin-top:0 !important;
}

.pt-0{
    padding-top:0 !important;
}

body .is-layout-flow > * + *,
body .is-layout-constrained > * + * {
    margin-block-start: 10px;
    margin-block-end: 0;
}

h1, h2, h3, h4, h5, h6 {
    margin: 0 0 8px;
    line-height: 1.1;
}

h1.tg-page-content__title{
    font-size:3.5rem;
}

h2 {
    font-size: 2.75rem;
    margin-bottom: 15px;
}

.entry-content ol li{
    margin-bottom:8px;
}

/*Align right*/
.align-right{
    text-align:right;
}

/*Align center*/
.align-center{
    text-align:center;
}

/*Transition*/
.woocommerce ul.products li,
form.wpf_form_sidebar_filter .wpf_items_wrapper,
.tg-block--three .icons .icon i,
button[type="submit"],
.search-results #primary article img,
.blog #primary article .post-thumbnail img,
.archive #primary article .post-thumbnail img,
.woocommerce ul.products li.product a img{
  -webkit-transition: all .5s ease-in-out;
  -moz-transition: all .5s ease-in-out;
  -o-transition: all .5s ease-in-out;
  transition: all .5s ease-in-out;
}

/*Dark blue text*/
h1,h2,
label,
.woocommerce-product-attributes.shop_attributes,
#mobile-navigation .tg-submenu-toggle, 
.tg-mobile-navigation a,
.woocommerce-info::before,
.search-results #primary article h2.entry-title a,
.wpf_items_grouped .wpf_grouped_label,
#primary ul.products li.product .woocommerce-loop-product__title,
.woocommerce ul.products li.product .woocommerce-loop-category__title,
.woocommerce-Tabs-panel table tr td:first-child,
body.woocommerce div.product .woocommerce-tabs ul.tabs li a,
.product_title.entry-title,
.tg-footer-widget-area strong,
.wp-block-cover .wp-block-button .wp-block-button__link,
.icon-columns .wp-block-column::before,
.entry-content h2,
.entry-content h4,
.search-form label::before,
.tg-block--three {
   color:#314b96
}

/*Dark blue bkgd*/
.wp-block-getwid-media-text-slider .wp-block-button .wp-block-button__link:hover,
.wpf_form .wpf_slider.ui-slider .ui-widget-header{
    background:#314b96
}


/*Pink text*/
.pink,
 #mobile-navigation .tg-mobile-navigation-close,
.tg-mobile-navigation > div ul li.current_page_ancestor > a, .tg-mobile-navigation > div ul li.current-menu-ancestor > a, .tg-mobile-navigation > div ul li.current_page_item > a, .tg-mobile-navigation > div ul li.current-menu-item > a,
ul#mobile-primary-menu li.current-menu-item > a,
.woocommerce table.shop_table td.product-name a:hover,
a.tg-read-more:hover,
.blog h1.page-title,
.blog h2.entry-title a,
.archive h2.entry-title a,
h1.entry-title,
#archive-header p.has-medium-font-size, 
#archive-header p.has-medium-font-size a,
.wpf_items_grouped .wpf_grouped_label:hover,
#primary ul.products li.product:hover .woocommerce-loop-product__title,
.related.products h2,
body.woocommerce div.product .woocommerce-tabs ul.tabs li.active a,
body.woocommerce div.product p.price,
.tg-site-footer-section-2 .social a,
#colophon h3,
#secondary h3,
.entry-content h3,
i.fal.fa-heart,
.tg-block--three .icons .icon i{
    color:rgb(189,0,97)
}

/*Hidden*/
.wp-block-getwid-media-text-slider-slide-content__content.no-content,
#mobile-indicator,
#tablet-indicator,
.yith-wcwl-share,
.wishlist_table.mobile li .item-details table.item-details-table td.label,
.wishlist-title-container,
.search-results #primary article .entry-content,
.woocommerce-loop-category__title mark,
#menu-main-menu li.about,
.add_to_cart_button,
.woocommerce-Tabs-panel h2,
.reset_variations,
.product_meta,
.tg-menu-item.tg-menu-item-cart,
.tg-site-footer .tg-site-footer-widgets ul li ul.sub-menu,
.tg-no-content-margin h1.entry-title.tg-page-content__title,
.tg-site-footer-widgets #menu-main-menu li.menu-item-home,
.entry-footer,
.tg-menu-item-search > a{
    display:none !important;
}

/*Header with border*/
#secondary h3,
.page-id-359 h1.entry-title,
.page-id-377 h1.entry-title,
body.woocommerce div.product p.price,
.woocommerce div.product .woocommerce-tabs ul.tabs,
.related.products > h2,
.wp-block-column.filter h3,
.tg-site-footer-widgets h3{
    font-weight:600;
    border-bottom: dotted 2px rgb(189,0,97);
    padding-bottom: 2px;
    margin-bottom: 10px;
}

/*Table*/
table th, table td, .wp-block-table th, .wp-block-table td {
    text-align: left;
    border: 1px solid #e9ecef;
    padding: 0.5em 1em;
}

/*Buttons*/
button, input[type="button"], input[type="reset"], input[type="submit"], .wp-block-button .wp-block-button__link{
    letter-spacing:1px;
    border-radius:0;
    font-weight: 600;
}

a.tg-read-more::after,
button[type="submit"]::after,
.wp-block-button .wp-block-button__link::after{
    content:'\f054';
    font-family: "Font Awesome 5 Pro";
    font-weight:400;
    font-size: 0.8em;
    display: inline-block;
    margin-left: 7px;
}

button[type="submit"]:hover{
    background:rgb(189,0,97)
}

.wp-block-getwid-media-text-slider .wp-block-button .wp-block-button__link,
.wp-block-cover .wp-block-button .wp-block-button__link{
    background:white;
    color:#314b96;
    text-shadow:none;
    border:solid 1px white;
}

.wp-block-button.is-style-outline>.wp-block-button__link:not(.has-text-color), .wp-block-button .wp-block-button__link.is-style-outline:not(.has-text-color) {
    color: rgb(49,75,150);
}

a.tg-read-more{
    font-weight:600;
}

button:hover, input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover, #infinite-handle span:hover, .wp-block-button .wp-block-button__link:hover{
    background-color:rgb(189,0,97);
    color:white;
}

/*Header*/
#mobile-navigation .tg-mobile-navigation-close:focus{
    outline:none;
}

.tg-mobile-navigation > div > ul{
    border-top: dotted 2px rgb(189,0,97)
}

#masthead {
    box-shadow: 0px 3px 6px #00000029;
    position:relative;
    z-index:100;
}
#masthead .tg-container--flex-center {
    -ms-flex-line-pack: inherit;
    align-content: flex-start;
    -webkit-box-align: start;
    -ms-flex-align: inherit;
    align-items: flex-start;
    flex-direction: row;
    align-items:stretch;
}

.site-branding{
    gap:0;
    max-width: 425px;
}

.tg-site-header-bottom{
    padding-top: 5px;
    padding-bottom:0;
}

.tg-site-header--left .tg-block--two {
    margin-left: 1em;
}

.tg-primary-menu.tg-primary-menu--style-underline > div > ul > li.current_page_ancestor > a::before, .tg-primary-menu.tg-primary-menu--style-underline > div > ul > li.current-menu-ancestor > a::before, .tg-primary-menu.tg-primary-menu--style-underline > div > ul > li.current_page_item > a::before, .tg-primary-menu.tg-primary-menu--style-underline > div > ul > li.current-menu-item > a::before {
    bottom: 2px;
}

.tg-page-header .breadcrumb-trail ul{
    flex-wrap:wrap;
}

.tg-primary-menu > div > ul > li{
    padding:0.7em;
    margin:0;
}

.tg-primary-menu > div > ul > li.divider{
    margin-left: 0.8em;
    padding-left: 1.4em;
    position:relative;
}

.tg-primary-menu > div > ul > li.divider::before{
    position: absolute;
    left: 0;
    top: 50%;
    content: '';
    width: 8px;
    height: 8px;
    margin: -4px 0 0 -4px;
    background: rgb(189,0,97);
    border-radius:5px;
}

.tg-primary-menu > div > ul > li:first-child{
    padding-left:0;
}

#masthead .tg-primary-menu > div ul li a{
    font-weight:600;
    font-size:20px;
    justify-content: space-between;
}

#mobile-primary-menu li a[target="_blank"]::after,
#masthead .tg-primary-menu > div ul li a[target="_blank"]::after{
    content:'\f08e';
    font-weight:400;
    font-family: "Font Awesome 5 Pro";
    margin-left:7px;
}

.tg-primary-menu > div ul li.menu-item-has-children > a::after, .tg-primary-menu > div ul li.page_item_has_children > a::after {
    line-height: 1;
    margin-top: 7px;
}

.tg-header-action .header-action-list > li{
    margin:0;
}

.tg-site-header-bottom .tg-block--two{
    width:100%;
    border-top:dotted 2px rgb(49,75,150);
    margin-top:7px;
    padding-bottom:2px;
    flex:auto;
}

.tg-site-header.tg-site-header--center .tg-primary-menu {
    -webkit-box-pack: start;
    -ms-flex-pack: inherit;
    justify-content: start;
}

.tg-block--three {
    flex-direction: column;
    justify-content: space-evenly;
    display: flex;
    line-height:1.2;
    margin: -5px 0 -7px;
}

.tg-block--three .contact{
    font-size: 0.95em;
}

.tg-block--three .contact strong{
    letter-spacing:1px;
    margin-bottom: 2px;
    display: inline-block;
}

.tg-block--three .icons{
    display:flex;
}

.tg-block--three .icons .icon{
    display: flex;
    flex-wrap: wrap;
    text-align: center;
    width: 90px;
    position:relative;
}

.tg-block--three .icons .icon i{
    font-size: 3.5em;
    margin-bottom:5px;
    transform-origin:bottom center;
}

.tg-block--three .icons .icon.wishlist i.fa{
    opacity:0;
    position: absolute;
    left: 0;
    right: 0;
}

.tg-block--three .icons .icon.wishlist i.fal{
    opacity:1 !important;
}

.tg-block--three .icons .icon:hover i{
    transform:scale(1.1);
}

.tg-block--three .icons .icon.added i{
    animation-name:add-to-wishlist;
    animation-duration: 1.5s;
}

@keyframes add-to-wishlist {
  0%   {transform:scale(1.0);opacity:0}
  50%  {transform:scale(1.1);opacity:1}
  100% {transform:scale(1.0);opacity:0}
}

.tg-block--three .icons .icon *{
    width:100%;
}


/*Nav*/
.tg-primary-menu > div ul li ul li a {
    padding: 0.75em 1em;
}

.tg-primary-menu > div ul li ul{
    border:none;
    width:300px;
    box-shadow: 4px 12px 8px #00000029;
}

/*Sidebar*/
#secondary{
    width:20%;
}

.tg-site-layout--left #secondary{
    border-right:none;
    padding-right:0;
}

/*Search*/
ul.header-action-list{
    min-width:240px;
}
ul.header-action-list li,
.tg-menu-item-search .search-form{
    width:100%;
}

.tg-menu-item-search{
    display:flex;
}
.tg-menu-item-search .search-form{
    position:inherit;
    display:block;
    top:0;
}

input.search-field{
    border-radius:40px;
    border:none;
    margin:8px 0px;
    background:lightcyan;
}

/*Offset border*/
.single-post .post-thumbnail,
.wp-block-media-text__media{
    position:relative;    
}

.wp-block-getwid-media-text-slider-slide-content__content-wrapper:not(:empty)::after,
.single-post .post-thumbnail::after,
.wp-block-media-text__media::after,
.icon-columns .wp-block-column::after{
    content: '';
    position: absolute;
    border: solid 2px rgb(189,0,97);
    top: 6px;
    right: -10px;
    bottom: -10px;
    left: 6px;
    pointer-events:none;
}

/*Blue border*/
.wp-block-media-text__media::after{
    border: solid 2px rgb(49,75,150);
}

/*White border*/
.wp-block-getwid-media-text-slider-slide-content__content-wrapper:not(:empty)::after{
    border: solid 2px white;
}

/*Content area*/
#primary{
    width:80%;
}

.tg-no-content-margin .entry-content,
.hentry{
    margin:0;
}

.site-content {
    padding-top: 40px;
    padding-bottom: 0;
}


/*Blocks*/
:where(.wp-block-group.has-background) {
    padding:2.5em;
}

.wp-block-group.alignfull .wp-block-group__inner-container{
    max-width:1170px;
    margin:0 auto;
}

.wp-block-group.texture{
    background:url('/wp-content/themes/desine/img/slate-grey-texture.jpg?v=2');
    background-size:cover;
}

#archive-header,
.wp-block-cover.squares,
.wp-block-group.squares{position:relative;}

#archive-header::after,
.wp-block-cover.squares::after,
.wp-block-group.squares::after{
    content: ''; 
    background: url(/wp-content/themes/desine/img/squares.svg?v=3) repeat-y rgba(255,255,255,0.75) top left 3px;
    background-size: 24px auto;
    width: 30px;
    position: absolute;
    right: 20px;
    top: 0;
    bottom:0;
    z-index: 1;
}

/*Slider*/
.wp-block-getwid-media-text-slider .slick-track{
    height:60vh;
}

.wp-block-getwid-media-text-slider-slide__content{
    padding:30px;
}

/*
.wp-block-getwid-media-text-slider-slide__content::after{
    content:'';
    position:absolute;
    z-index:0;
    left:0;
    bottom:0;
    width:1000px;
    height:100%;
background: -moz-linear-gradient(-135deg, rgba(0,0,0,0) 60%, rgba(0,0,0,0.5018382352941176) 100%);
background: -webkit-linear-gradient(-135deg, rgba(0,0,0,0) 60%, rgba(0,0,0,0.5018382352941176) 100%);
background: linear-gradient(-135deg, rgba(0,0,0,0) 60%, rgba(0,0,0,0.5018382352941176) 100%);
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#000000",endColorstr="#000000",GradientType=1);
}
*/

.wp-block-getwid-media-text-slider-slide-content__content-wrapper:not(:empty){
    position:relative;
    max-width: 500px;
    background: rgb(189 0 97 / 90%);
    padding: 20px 25px 25px;
    min-height:160px;
}

.wp-block-getwid-media-text-slider-slide-content__media img{
    object-position:left center;
}

.wp-block-getwid-media-text-slider-slide-content__content p{
    font-size:1.2em;
    margin-bottom: 20px;
}

 .wp-block-getwid-media-text-slider.has-dots-inside .slick-dots{
    text-align: right;
    bottom: 55px;
    left: 235px;
    max-width: 275px;
}

.slick-dots li button{
    background:#314b96;
    border:solid 1px white;
}

.wp-block-getwid-content-slider .slick-dots li, .wp-block-getwid-images-slider .slick-dots li, .wp-block-getwid-media-text-slider .slick-dots li, .wp-block-getwid-post-carousel .slick-dots li, .wp-block-getwid-post-slider .slick-dots li {
    margin: 0 3px;
}

.slick-dots li.slick-active button{
    background:rgb(189,0,97);
}

.wp-block-getwid-media-text-slider.has-dots-inside .slick-dots li button:before{
    content:none;
}


/*Cover*/
.wp-block-cover, .wp-block-cover-image{
    justify-content: flex-start;
    align-items: flex-end;
    position:relative;
}

.wp-block-cover .wp-block-columns{
    margin-bottom:0;
    padding:1em;
}

 .wp-block-cover .wp-block-cover__inner-container {
     padding:2.2em 0 2.2em 2.2em;
     text-align:left;
    background: -moz-linear-gradient(180deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0.25) 100%);
    background: -webkit-linear-gradient(180deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0.25) 100%);
    background: linear-gradient(180deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0.25) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#000000",endColorstr="#000000",GradientType=1);
}

 .wp-block-cover .wp-block-cover__inner-container > *{
      max-width:500px;
}

 .wp-block-getwid-media-text-slider-slide-content__content h2,
.wp-block-cover h2{
    margin-bottom: 3px;
    color:white; 
}

.wp-block-cover p {
    margin-bottom:20px;
}

/*Columns*/

.wp-block-columns {
    padding-top: 2em;
    padding-right: 0;
    padding-bottom: 2em;
    padding-left: 0;
}

.wp-block-columns.alignwide,
.wp-block-columns.alignfull{
    padding-right:1em;
    padding-left:1em;
}

.icon-columns .wp-block-column{
    position:relative;
    background:white;
    padding:1.5em;
    border: solid 2px #314b96;
}

.icon-columns .wp-block-column::before{
    font-family: "Font Awesome 5 Pro";
    font-weight:400;
    display: block;
    text-align: center;
    font-size: 3em;
}


/*Shop*/

.woocommerce-error, .woocommerce-info, .woocommerce-message{
    border-top-color: #314b96;
}

body.woocommerce .woocommerce-result-count,
body.woocommerce .woocommerce-ordering {
    margin: 0 0 1em;
    line-height: 40px;
    margin-top: -20px;
}

h1.woocommerce-products-header__title{
    margin-bottom:25px;
}

/*Product filter*/
.wpf_item label{
    font-size:16px;
}

.wpf_form .wpf_item{
    padding:0.8em 0 0;
}

.site-content .tg-container:not(.product-cat-tiles) .wpf_item.wpf_item_colour,
.site-content .tg-container:not(.product-cat-tiles) .wpf_item.wpf_item_style,
.site-content .tg-container:not(.product-cat-tiles) .wpf_item.wpf_item_pa_tile-size{
    display:none;
}

.wpf_form .wpf_layout_vertical .wpf_item + .wpf_item .wpf_item_name {
    margin-top: 0;
}

.wpf_form .wpf_slider.ui-slider {
    margin: 1.5em 0 1em 0;
}

.wpf_form .wpf-slider-label{
    margin-bottom:15px;
}

.wpf_form .wpf_column_vertical li,
.wpf_items_wrapper .wpf_item .wpf_color_icons li{
    border-bottom:none;
}

.wpf_form .wpf_color_icons li label{
    border-radius:0;
    width: 100%;
    margin-bottom:0.6em;
    padding:.2em .3em;
}

.wpf_form .wpf_item .wpf_items_group .wpf_column_horizontal li{
    margin-right:0.4em;
    width: calc(50% - 2px - 0.4em);
}

.wpf_form .wpf_color_icons:not(.wpf_hide_text) li>input:checked+label {
    border: solid 1px white;
    outline: solid 2px rgb(189,0,97);
}

.wpf_form .wpf_color_icons:not(.wpf_hide_text) li>input:not(:checked):hover+label {
    border: solid 1px white;
    outline: solid 2px rgb(49,75,150);
}


.wpf_form ul.wpf_color_icons li{
    margin:0;
}

.wpf_form .wpf_items_wrapper ul.wpf_column_vertical li {
    margin-bottom: 0.4em;
}

.woocommerce ul.products.columns-3 li.product, 
.woocommerce-page ul.products.columns-3 li.product{
    margin:0 2% 1em 0;
    width:32%;
}

.woocommerce ul.products.columns-3 li.product.last, 
.woocommerce-page ul.products.columns-3 li.product.last{
    margin-right:0;
}

/*Product archive*/
#archive-header{
    width:100%;
    margin-top: -40px;
    margin-bottom:75px;
    background:#efefef;
    float: left;
    padding: 50px 75px 50px 0;
}

#archive-header #archive-thumbnail{
    max-width:60%;
    margin-top:0;
    margin-right:40px;
    float:left;
}

#archive-header #archive-thumbnail + #archive-desc{
    float:right;
    width:calc(40% - 40px);
}

#archive-header p.has-medium-font-size a{text-decoration:underline;}

#archive-header #archive-desc p:last-child{
    margin-bottom:0;
}

/*Product loop*/
li.product .availability{
    position:absolute;
    margin:0;
    top:0;
    left:0;
    background:rgb(189,0,97);
    padding:8px 10px;
    height:40px;
    color:white;
    font-size:15px;
    width: auto;
    overflow: hidden;
    text-align: left;
    line-height: 1.1;
    max-width: calc(100% - 40px);
}

li.product .availability .icon{
    display: inline-block;
    margin-left: -10px;
    margin-top: -8px;
    margin-right: 10px;
    height: 40px;
    width: 40px;
    line-height: 40px;
    background: #314b96;
    font-size: 1.1em;
    text-align: center;
}

li.product .availability a{color:white}

.woocommerce ul.products{
    width:100%;
}

ul.products li.product {
    text-align:center;
    overflow:hidden;
}

#primary ul.products li.product .woocommerce-loop-product__title{
    padding-bottom:2px;
}

.woocommerce ul.products li.product a img{
    margin-bottom:0;
    border:solid 1px #dee2e6; 
}

.woocommerce ul.products li{
    border:solid 1px white;
}

.woocommerce.search-results ul.products li{
    border:solid 1px #efefef;
}

.woocommerce ul.products li:hover{
    border:solid 1px rgb(189,0,97);
}

.search-results #primary article:hover img, 
.woocommerce ul.products li.product:hover img{
    transform:scale(1.05);
}

.woocommerce ul.products li.product .woocommerce-loop-category__title,
.woocommerce ul.products li.product .woocommerce-loop-product__title{
    font-size:22px;
    background: white;
    position: relative;
}

.search-results.woocommerce ul.products li.product .woocommerce-loop-category__title,
.search-results.woocommerce ul.products li.product .woocommerce-loop-product__title{
    background:#efefef;
}

.home ul.products li.product .woocommerce-loop-product__title{
    background:#efefef
}

.woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
    margin: 0 1.2% 2.992em 0;
    width: 24.1%;
}

body.home ul.products li.product{
    margin: 0 1.2% 20px 0;
}

body.home ul.products li.product.last{
    margin-right:0;
}

.woocommerce ul.products li.product:last-child{
    margin-right:0;
}

/*Wishlist*/

#yith-wcwl-popup-message{
    color:#314b96;
}

#yith-wcwl-message::before,
i.yith-wcwl-icon::before{
    content: "\f004" !important;
    font-weight:400;
    color:rgb(189,0,97);
    font-family: "Font Awesome 5 Pro";
}

#yith-wcwl-message::before{
    margin-right:10px;
    font-weight:600;
}

.yith-wcwl-wishlistaddedbrowse .feedback{
    font-size: 0;
    text-indent: 500px;
    width: 35px;
    height: 30px;
    overflow: hidden;
}

i.yith-wcwl-icon:hover::before,
.yith-wcwl-wishlistexistsbrowse i.yith-wcwl-icon::before,
.yith-wcwl-wishlistaddedbrowse i.yith-wcwl-icon::before{
    font-weight:600;
}

.add-to-wishlist-before_image .yith-wcwl-add-to-wishlist{
    left: auto;
    top:5px;
    right: 5px;
    width: 30px;
    height: 30px;
    line-height: 35px;
    background: rgba(255,255,255,0.5);
    border-radius: 50%;
}

/*Wishlist table*/
.page-id-248 h1.entry-title::before {
    font-family: "Font Awesome 5 Pro";
    content: "\f004";
    margin-right:12px;
    font-weight: 300;
}

.wishlist_table td,
.wishlist_table th{
    border:none;
}

.wishlist_table thead{
    background: rgb(189,0,97);
    color: white;
}

#yith-wcwl-form .shop_table{
    background:white;
    margin-bottom:10px;
}

.woocommerce table.shop_table td.product-name{
    font-size:1.5em;
    width:35%;
}

.woocommerce table.shop_table td.product-name .variation{
    margin-top:0;
    font-size:0.8em;
}

.woocommerce table.shop_table td.availability,
.woocommerce table.shop_table td.product-price{
    font-size:1.1em;
}

.woocommerce table.shop_table .product-price{min-width:90px;}

.woocommerce table.shop_table th.qr-code,
.woocommerce table.shop_table td.qr-code{
    display:none
}

.woocommerce table.shop_table img.wpkqcg_qrcode{
    width:100px !important;
}

.woocommerce a.remove_from_wishlist{
    line-height:0.75;
}
.woocommerce a.remove{
    color:rgb(189,0,97) !important;
}

.woocommerce #content table.wishlist_table.cart a.remove:hover{
    background-color:rgb(189,0,97)
}

.page-id-248 .wpcf7-form p{
    margin-bottom:0.3em;
}

#wishlist-actions{
    background: rgb(49,75,150);
    padding: 15px 20px;
}

#wishlist-actions a{
    color:white;
    margin-right:25px;
}

#wishlist-actions a:hover{
    color:lightcyan
}

.wishlist_table.mobile li{
    position:relative;
}

.wishlist_table.mobile li .item-wrapper{
    width:100%;
}

.wishlist_table.mobile li .item-details table.item-details-table td{
    font-size:0.8em;
}

.wishlist_table.mobile li .item-details table.item-details-table td.value,
.wishlist_table tr td, .wishlist_table tr th.product-checkbox, .wishlist_table tr th.wishlist-delete{
    text-align:left;
}

.wishlist_table.mobile li .item-wrapper .product-thumbnail{
    max-width:100px;
}

.wishlist_table.mobile li .item-wrapper .item-details{
    width: calc(100% - 120px);
    padding-top:15px;
}

.wishlist_table.mobile li .additional-info-wrapper .product-remove{
    text-align:center;
}

.wishlist_table.mobile .additional-info-wrapper{
    width: 25px;
    text-align: left;
    position: absolute;
    bottom: 12px;
    right: 5px;
}

#yith-wcwl-form .wishlist_table.mobile{
    background:none;
}

#yith-wcwl-form .wishlist_table.mobile .item-wrapper{
    background:white;
}

.wishlist_table.mobile .availability{
    font-size:0.8em;
    color:rgb(189,0,97);
}

div.showroom h3::before{
    content: "\f54f";
    font-family: "Font Awesome 5 Pro";
    font-weight:300;
    font-size:1.5em;
    display:block;
    margin-bottom:7px;
}

div.showroom h3{
    text-align:center;
}

div.showroom .wp-block-group{
    padding:1.75em 1.5em 1em;
}

/*Product filter*/

.wp-block-navigation__container{
    gap:0;
}

.wp-block-navigation__container,
.wp-block-navigation__container li{
    width:100%;
    justify-content:space-between;
    font-size: 1.05em;
}

#primary .wp-block-navigation__container li{
    padding:10px 0;
    border-bottom:solid 1px #efefef;
}

/*Single product*/

.woocommerce div.product div.images .woocommerce-product-gallery__trigger{
    right:auto;
    left:0.5em;
}

.single-product .entry-summary .yith-wcwl-add-to-wishlist{
    position:absolute;
    top:0;
    right:10px;
}

.single-product .yith-wcwl-add-to-wishlist .feedback .yith-wcwl-icon,
.single-product .entry-summary .yith-wcwl-add-to-wishlist i{
    font-size:30px;
    margin-right:0;
}

.woocommerce div.product form.cart .variations td, .woocommerce div.product form.cart .variations th{
    padding-left:0;
}

h1.product_title.entry-title{
    margin-bottom:2px;
    position:relative;
    max-width: calc(100% - 45px);
}

h1.product_title.entry-title i{
    position:absolute;
    right:0;
    top:0;
}

.price{
    letter-spacing:1px; 
}

body.woocommerce #primary div.product p.price{
    padding-bottom:10px;
}

body.woocommerce div.product .woocommerce-tabs ul.tabs{
    border-bottom:dotted 2px #314b96 !important;
}

body.woocommerce div.product .woocommerce-tabs ul.tabs,
.woocommerce-product-details__short-description{
    margin-bottom:25px;
}

.woocommerce div.product div.images {
    margin-bottom: 4em;
}

.woocommerce div.product .woocommerce-tabs ul.tabs li.active{
    border-bottom:none !important;
}

.woocommerce-Tabs-panel table tr td:first-child{
    font-weight:600;
}

section.related.products{
    background:#efefef;
    padding:2.75em 2.75em 0;
    margin-left: calc(50% - 50vw);
    margin-right: calc(50% - 50vw);
    max-width: unset;
    clear:both;
}

section.related.products > *{
    max-width:1160px;
    margin:0 auto 25px;
}

body.page-id-377 #page,
body:not(.tg-container--separate).single-post #page,
body.woocommerce section.related.products ul.products li.product h2.woocommerce-loop-product__title{
    background:#efefef;
}

.woocommerce-product-gallery .flex-viewport{
    margin-bottom:10px;
}

.woocommerce div.product form.cart table td{
    padding-right:0;
}

.woocommerce div.product form.cart .variations select{
    margin-right:0;
}

.woocommerce div.product form.cart .variations{
    margin-bottom:0;
}

.woocommerce-variation-price {
    text-align:right;
}

.woocommerce-variation-price,
.woocommerce-variation-price span.price{
    color:rgb(189,0,97) !important;
    font-weight:600;
}

/*Single post*/
.tg-site-layout--default .post-thumbnail {
    display: block;
    margin-left: 0;
    margin-right:0;
}

.single-post h1.entry-title{
    margin-bottom:10px;
}

.entry-meta a{
    font-weight:600;
    color:rgb(49,75,150);
}

/*Archives and search resutls*/
body:not(.tg-container--separate).page-id-248 #page,
body:not(.tg-container--separate).blog #page,
body:not(.tg-container--separate).archive:not(.woocommerce) #page,
body:not(.tg-container--separate).search-results #page {
    background:#efefef;
}

.blog #primary,
.archive:not(.woocommerce) #primary,
.search-results #primary {
    display:flex;
    flex-wrap:wrap;
    gap:2%;
    padding-bottom: 30px;
}

.blog #primary .page-header,
.archive:not(.woocommerce) #primary .page-header,
.search-results #primary .page-header{
    width:100%;
    margin-bottom:30px;
}

.blog #primary article,
.archive:not(.woocommerce) #primary article,
.search-results #primary article{
    width:32%;
    margin-bottom: 25px;
}

.blog #primary article,
.archive:not(.woocommerce) #primary article{
    background: white;
    padding: 20px;
}

.blog #primary article .entry-content,
.archive:not(.woocommerce) #primary article .entry-content{
    margin-bottom:0;
}

.archive article h2.entry-title,
.blog article h2.entry-title{
    margin-bottom:7px;
}

.blog .entry-meta{
    margin-bottom:15px;
}

.search-results #primary article h2.entry-title{
    font-size:26px;
    text-align:center;
}

.blog #primary article img,
.archive:not(.woocommerce) #primary article img,
.search-results #primary article img{
    width:100%;
}

.search-results #primary article .post-thumbnail{
    overflow:hidden;
    margin-bottom:10px;
}

.blog #primary article .post-thumbnail,
.archive:not(.woocommerce) #primary article .post-thumbnail{
    margin:-20px -20px 25px;
    overflow:hidden;
}

.archive #primary article .post-thumbnail,
.blog #primary article .post-thumbnail{
    position:relative;
    padding-bottom:66.66%;
    border-bottom:solid 1px #efefef;
}

.archive #primary article .post-thumbnail img,
.blog #primary article .post-thumbnail img{
    position:absolute;
    top:50%;
    left:0;
    right:0;
    transform:translateY(-50%);
}

.archive #primary article:hover .post-thumbnail img,
.blog #primary article:hover .post-thumbnail img{
    transform:translateY(-50%) scale(1.05);
}

/*Contact form*/
.wpcf7-form p label,
.wpcf7-form p{
    display:inline-block;
    width:100%;
}

#wpcf7-f381-p377-o1 form p:first-of-type,
#wpcf7-f381-p377-o1 form p:first-of-type + p{
    max-width:calc(49% - 2px);
}

#wpcf7-f381-p377-o1 form p:first-of-type{
    margin-right:2%;
}

textarea{
    max-width:100%;
    height:100px;
}

.wpcf7-form input[type="text"],
.wpcf7-form input[type="date"],
.wpcf7-form input[type="email"],
.wpcf7-form textarea{
    background:lightcyan;
    border-color:#314b96;
    width:100%;
}

.wpcf7-form input[type="text"]:focus,
.wpcf7-form input[type="date"]:focus,
.wpcf7-form input[type="email"]:focus,
.wpcf7-form textarea:focus{
    border:solid 1px #bd0061;
    outline:none;
}


/*Footer*/
.widget {
    margin: 0;
}

.tg-site-footer .tg-footer-widget-container{
    padding:50px 0 40px;
}

.tg-site-footer-bar.tg-site-footer-bar--left{
    font-size:13px;
}

.tg-site-footer .tg-site-footer-bar .tg-container--flex {
    align-items: center;
}

.tg-site-footer-section-2 .social a{
    margin-left:10px;
    font-size:24px;
}

.tg-site-footer .tg-site-footer-widgets ul li.divider{
    display:none;
}

.wp-block-group.contact h2,
.wp-block-group.contact p{
    position:relative;
    padding-left:55px;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-top:3px;
}

.wp-block-group.contact h2::before,
.wp-block-group.contact p::before{
    position:absolute;
    display:block;
    width:28px;
    text-align:center;
    left:0;
    top:0;
    font-family: "Font Awesome 5 Pro";
    font-weight:500;
    font-size:1.1em;
    color:#bd0061;
}

.wp-block-group.contact h2{
    overflow:visible;
}

.widget .wp-block-group.contact p{
    padding-left:32px;
    margin-top:10px;
}

.wp-block-group.contact p.tel{
    letter-spacing:1px;
}

.wp-block-group.contact h2::before{
    width:45px;
    font-size:1em;
}

.wp-block-group.contact h2.email::before,
.wp-block-group.contact p.email::before{
    content:"\f0e0"
}

.wp-block-group.contact h2.tel::before,
.wp-block-group.contact p.tel::before{
    content:"\f095"
}

.wp-block-group.contact h2.address::before,
.wp-block-group.contact p.address::before{
    content:'\f041';
}

.wp-block-group.contact h2.clock::before,
.wp-block-group.contact p.clock::before{
    content:'\f017';
}

@media screen and (max-width: 1200px) {
    #masthead .tg-container--flex-center{
        max-width:calc(100% - 30px);
    }
    
    .tg-primary-menu > div > ul{
        justify-content:center;
    }
    
    .tg-primary-menu > div > ul > li {
        padding: 0.7em 0.6em 0;
    }
    
    .tg-primary-menu > div > ul > li.divider{
        margin-left:0;
        padding-left:0.6em;
    }
    
    .tg-primary-menu > div > ul > li.divider::before{
        content:none;
    }
    
    .tg-site-header-bottom .tg-block--two {
        flex-direction:column;
    }
    #header-action{
        width:100%;
        margin-top: 10px;
        margin-bottom:15px;
    }
    .tg-block.tg-block--one{
        max-width:55%;
    }
    .wp-block-getwid-media-text-slider .slick-track{
        height:50vh;
    }
    
    .wp-block-getwid-media-text-slider-slide-content__content h2{
        font-size:2.25rem;
    }
    
    .wp-block-getwid-media-text-slider-slide-content__content p{
        font-size:1.1em;
    }
    
    .wp-block-getwid-media-text-slider-slide-content__content-wrapper:not(:empty){
        min-height:145px;
    }
    
    li.product .availability{
        height:auto;
        padding:6px 8px;
        background:rgb(189 0 97 / 80%);
    }
    
    li.product .availability .icon{
        display:none;
    }
}

@media screen and (max-width: 1024px) {
}

@media screen and (max-width: 992px) {
    
    #tablet-indicator{display:block!important;}
    
    #archive-header #archive-thumbnail{
        max-width:100%;
        margin-right:0;
        margin-bottom:30px;
    }
    #archive-header #archive-thumbnail + #archive-desc{
        width:100%;
    }
}

@media screen and (max-width: 781px) {
}

@media screen and (max-width: 768px) {
    
    #archive-header{
        margin-bottom:40px;
    }
    
    .tg-site-layout--left .site-content .tg-container--flex{
        flex-direction:column-reverse;
    }
    
    #mobile-indicator{display:block !important;}

    :where(.wp-block-group.has-background){
        padding: 1.5em;
    }
    
     li.product .availability{
        height:40px;
        padding:8px 10px;
         font-size:14px;
    }
    
    li.product .availability .icon{
        display:inline-block;
    }
    
    .woocommerce ul.products.columns-3 li.product, .woocommerce-page ul.products.columns-3 li.product{
        width:47%;
    }
    
    #masthead .tg-container--flex-center{
        max-width:100%;
    }
    .tg-block.tg-block--three{
        max-width:40%;
    }
    .tg-block--three .icons .icon{
        font-size:0.8em;
    }
    #header-action{margin-bottom:0;}
    
    .tg-mobile-toggle{
        color:#314b96;
    }
    
    .tg-mobile-toggle::after{
        content:'Menu';
        margin-left:7px;
    }
        
    .wp-block-getwid-media-text-slider.has-dots-inside .slick-dots {
        max-width: calc(50% - 25px);
        left: calc(50% - 25px);
    }
    
    .wp-block-getwid-media-text-slider-slide__content{
        padding:0;
    }
    
    .wp-block-getwid-media-text-slider-slide-content__content,
    .wp-block-getwid-media-text-slider-slide-content{
        max-width:100%;
        opacity:1 !important;
    }
    
    .wp-block-getwid-media-text-slider .slick-track {
        height: auto;
    }
    
    .wp-block-getwid-media-text-slider-slide-content__content-wrapper:not(:empty){
        min-height:0;
        max-width:100%;
        padding: 10px 15px 15px;
        background: rgb(189 0 97);
    }
    
    .wp-block-getwid-media-text-slider-slide__content{
        align-items:flex-start !important;
    }
    
    .wp-block-getwid-media-text-slider-slide-content__media{
        position:relative;
        height: 20vh;
        border-bottom:solid 2px white;
    }
    
    .wp-block-getwid-media-text-slider-slide-content__content-wrapper:not(:empty)::after{
        content:none;
    }
    
    .wp-block-getwid-media-text-slider.has-dots-inside .slick-dots {
        display:none !important;
    }
    
    .tg-site-footer .tg-footer-widget-container.tg-footer-widget-col--two .tg-footer-widget-area, .tg-site-footer .tg-footer-widget-container.tg-footer-widget-col--three .tg-footer-widget-area, .tg-site-footer .tg-footer-widget-container.tg-footer-widget-col--four .tg-footer-widget-area{
        margin-bottom:30px;
    }
    
    form.wpf_form_sidebar_filter .wpf_items_wrapper{
        opacity:0;
        max-height:0;
        pointer-events:none;
    }
    
    form.wpf_form_sidebar_filter.expand .wpf_items_wrapper{
        opacity:1;
        max-height:1000px;
        pointer-events:auto;
    }
    
    #block-21 h3{
        cursor:pointer;
        border-bottom: none;
        background: rgb(189,0,97);
        color: white;
        padding: 12px 20px;
    }
    
    #block-21 h3::after{
        content:' Tap to expand';
        display:inline-block;
        float:right;
        color:white;
        font-size:0.7em;
        line-height:30px;
    }
    
    .tg-site-footer-widgets  .tg-container {
        max-width:calc(100% - 30px);
    }
    
}

@media screen and (max-width: 600px) {
    .tg-block--three .icons .icon .label span{
        display:block;
    }
    .tg-block.tg-block--three .contact,
    .wp-block-getwid-media-text-slider-slide__content .wp-block-buttons{
        display:none;
    }
    .wp-block-getwid-media-text-slider-slide-content__content h2{
        font-size:2rem
    }
    .wp-block-getwid-media-text-slider-slide-content__content p{
        font-size:1em;
        margin-bottom:0;
        line-height: 1.2;
    }
    
    .wp-block-getwid-media-text-slider-slide__content::after{width:150%;}
    
    li.product .availability{
        height:auto;
        padding:5px 8px;
    }
    li.product .availability .icon{
        display:none;
    }
    #archive-header::after, .wp-block-cover.squares::after, .wp-block-group.squares::after {
        background-size: 18px auto;
        width: 24px;
    }
    section.related.products {
        padding: 2em 15px 0;
    }

}

@media screen and (max-width: 480px) {
    :where(.wp-block-group.has-background) {
        padding: 1.5em 1em;
    }
    
        .tg-block--three .icons .icon i{
        font-size:2.5em;
    }
    .woocommerce .woocommerce-ordering, .woocommerce-page .woocommerce-ordering{
        float:none;
    }
    #wishlist-actions a{
        display:block;
        margin-bottom:5px;
    }
    #wishlist-actions a:last-child{
        margin-bottom:0;
    }
}

@media print {
    .woocommerce-message,
    th.product-remove,
    td.product-remove,
    #wishlist-actions,
    .tg-site-footer-section-1,
    .footer-sidebar-1,
    .footer-sidebar-3,
    .wp-block-column.showroom,
    .tg-header-container > *:not(.tg-block--one){
        display:none !important;
    }
    .footer-sidebar-2,
    .footer-sidebar-4{
        width:calc(50% - 20px) !important;
    }
    .entry-content{
        margin-bottom:0;
    }
    .tg-footer-widget-container{
        padding-bottom:0;
    }
    #masthead .tg-container--flex-center{
        justify-content:center;
    }
    .tg-site-footer .tg-site-footer-bar .tg-site-footer-section-2,
    h1.entry-title{
        text-align:center;
    }
    #masthead{
        box-shadow:none !important;
    }
    .woocommerce table.shop_table th.qr-code,
    .woocommerce table.shop_table td.qr-code{
        display: table-cell;
    }
}